Draft Echelle

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Scale and the translation is 26% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg

Draft Scale.svg Échelle

Emplacement du menu
Draft → Scale
Ateliers
Draft, Arch
Raccourci par défaut
S C
Introduit dans la version
-
Voir aussi
Draft Clone


Description

Cet outil met à l'échelle des objets sélectionnés autour d'un point de base. Si aucun objet n'est sélectionné, vous serez invité à en sélectionner un.

The Scale tool can produce a copy or a Draft Clone at a defined scale. Use Draft Offset to produce a scaled copy of a wire set at a certain offset. A simple copy with no scaling can be produced with Draft Move.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

Draft Scale example.jpg

Scaling one object from a reference point to a second point


Utilisation

  1. Sélectionnez les objets dont vous désirez changer la taille
  2. Appuyez sur le bouton Draft Scale.png Draft Scale ou sur les touches S puis C
  3. Cliquez votre premier point sur une zone vide de la vue 3D, ou tapez les coordonnées pour définir le point de base de la mise à l'échelle.
  4. Une boîte de dialogue de tâche s'ouvre avec les options de mise à l'échelle. Remplissez les différentes options et appuyez sur OK pour accepter.

Options

  • Entrez les coordonnées manuellement simplement en entrant les nombres et pressez la touche ENTER entre chaque composante XY et Z.
  • Les composants x, y et z du deuxième point définissent le facteur d'échelle.
  • Cocher l'option "Mise à l'échelle uniforme" verrouille les X, Y et Z à la même valeur.
  • Pressez la touche CTRL et votre point d'emplacement se fera sur un point d'ancrage (snap) disponible, indépendamment de la distance.
  • Le résultat de l'opération de mise à l'échelle peut être:
    • Un Draft Clone des objets, ne modifie pas les objets d'origine, mais vous permet de changer le facteur d'échelle manuellement plus tard (fonctionne pour tous les types d'objets)
    • Les objets d'origine ont leur taille modifiée (ne fonctionnera qu'avec les objets Draft ou les formes de pièces non paramétriques)
    • Une copie mise à l'échelle des objets de base est produite (fonctionnera pour tous les types d'objets, mais seules les copies des objets Draft seront paramétriques)

Script

L'outil Scale peut être utilisé dans une macros et dans la console Python en utilisant la fonction suivante :

scaledlist = scale(objectslist, delta=Vector(1,1,1), center=Vector(0,0,0), copy=False, legacy=False)
  • Scales met à l'échelle les objets contenus dans des objets (qui peuvent être une liste d'objets ou un objet), le facteur d'échelle donné, défini par le vecteur donné (des directions X, Y et Z) autour d'un axe donné.
  • Si legacy est True, le mode direct (ancien) est utilisé, sinon une copie paramétrique s'effectue.
  • Si copy a la valeur True, les objets eux-mêmes ne sont pas déplacés, mais des copies sont créées à la place.
  • Les objets (ou leurs copies) sont créés.

Exemple:

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(3, radius=1200)
delta1 = FreeCAD.Vector(2.3, 0.75, 0)

clone_1 = Draft.scale(Polygon1, delta1, copy=True)

Polygon2 = Draft.makePolygon(5, radius=750)
delta2 = FreeCAD.Vector(-2, -1.5, 0)

clone_2 = Draft.scale([Polygon1, Polygon2], delta2, copy=True)
Draft.move(clone_2, FreeCAD.Vector(3500, 1000, 0))
Arrow-left.svg Previous: Draft Downgrade.svg Downgrade
Next: Edit Draft Edit.svg Arrow-right.svg